// MaxFace.cpp: implementation of the CMaxFace class.
//
//////////////////////////////////////////////////////////////////////

#include "MaxFace.h"

#include "..\Common\FileStream.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMaxFace::CMaxFace()
{
	m_dwNumIndices = 0;
}

CMaxFace::~CMaxFace()
{
}

void CMaxFace::Write(CFileStream *lpStream)
{
	CFileStream* pStream = lpStream;

	///////////////////////////////////////////////////////////////////////////////////////////////
	pStream->Write(&m_dwNumIndices, sizeof(int), 1);
	pStream->Write(m_pIndices, sizeof(DWORD), m_dwNumIndices);
}

bool CMaxFace::Append()
{
	m_pIndices = (LPDWORD) realloc(m_pIndices, sizeof(DWORD) * (m_dwNumIndices + 3));
	if (!m_pIndices)
		return false;

	return true;
}

void CMaxFace::Append(DWORD dwIndex)
{
	m_pIndices[m_dwNumIndices ++] = dwIndex;
}